UserPreferencePermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.user
Class UserPreferencePermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.dvb.user.UserPreferencePermission

All Implemented Interfaces:
  Serializable, Guard

    public class UserPreferencePermission

extends BasicPermission

This class is for user preference and setting permissions. A UserPreferencePermission contains a name, but no actions list.

The permission name can either be "read" or "write". The "read" permission allows an application to read the user preferences and settings (using `UserPreferenceManager.read`) for which read access is not always granted. Access to the following settings/preferences is always granted: "User Language", "Parental Rating", "Default Font Size" and "Country Code"

The "write" permission allows an application to modify user preferences and settings (using `UserPreferenceManager.write`).

See Also:
  Serialized Form

Constructor Summary
`UserPreferencePermission(String name)` Creates a new UserPreferencePermission with the specified name.
`UserPreferencePermission(String name, String actions)` Creates a new UserPreferencePermission object with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserPreferencePermission

    public UserPreferencePermission(String name)

  Creates a new UserPreferencePermission with the specified name. The name is the symbolic name of the UserPreferencePermission.

  Parameters:
    `name` - the name of the UserPreferencePermission

### UserPreferencePermission

    public UserPreferencePermission(String name,
                                    String actions)

  Creates a new UserPreferencePermission object with the specified name. The name is the symbolic name of the UserPreferencePermission, and the actions String is unused and should be null. This constructor exists for use by the Policy object to instantiate new Permission objects.

  Parameters:
    `name` - the name of the UserPreferencePermission
    `actions` - should be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD